<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<packaging>jar</packaging>
	<artifactId>orivis-dbupdater-mongo</artifactId>
	<version>0.0.3</version>

	<licenses>
		<license>
			<name>The Apache License, Version 2.0</name>
			<url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
		</license>
	</licenses>
	<developers>
		<developer>
			<name>Dennis Oleshko</name>
			<email>dennis.oleshko@gmail.com</email>
			<organization>Dennis.systems</organization>
			<organizationUrl>https://gitlab.com/systems.dennis/shared</organizationUrl>
		</developer>
	</developers>
	<scm>
		<connection>https://gitlab.com/systems.dennis/shared.git</connection>
		<developerConnection>scm:git:ssh://gitlab.com/systems.dennis/shared.git</developerConnection>
		<url>http://systems.dennis/shared/tree/main</url>
	</scm>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>11</source>
					<target>11</target>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<properties>
		<maven.compiler.source>1.10</maven.compiler.source>
		<maven.compiler.target>1.10</maven.compiler.target>
		<orivis.core.version>0.2.0</orivis.core.version>
		<parent.version>0.0.4</parent.version>
		<mongo.version>0.0.6</mongo.version>
	</properties>
	<parent>
		<groupId>net.orivis</groupId>
		<artifactId>orivis-parent</artifactId>
		<version>0.0.4</version>
	</parent>

	<dependencies>
		<dependency>
			<groupId>net.orivis</groupId>
			<artifactId>orivis-core</artifactId>
			<version>${orivis.core.version}</version>
		</dependency>

		<dependency>
			<groupId>com.fasterxml.jackson.dataformat</groupId>
			<artifactId>jackson-dataformat-yaml</artifactId>
			<version>2.15.0</version>
		</dependency>
		<dependency>
			<groupId>net.orivis</groupId>
			<artifactId>orivis-db-mongo</artifactId>
			<version>${mongo.version}</version>
		</dependency>
	</dependencies>


</project>